Package org.apache.sling.scripting.sightly.compiler.commands

## Class Loop

- java.lang.Object
- - org.apache.sling.scripting.sightly.compiler.commands.Loop

    public final class Loop
    extends Object

This `Command` renders a sequence of commands repeatedly. The command must have a corresponding end loop later in the stream.

### Nested Class Summary

Nested Classes
`static class` `Loop.End`
`static class` `Loop.Start`

### Field Summary

Fields
`static Loop.End` `END`

### Constructor Summary

Constructors
`Loop()`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### END

    public static final Loop.End END

### Constructor Detail

#### Loop

    public Loop()